Package de.tudresden.sumo.objects

## Enum SumoTrafficLightType

- java.lang.Object
- - java.lang.Enum<SumoTrafficLightType>
  - - de.tudresden.sumo.objects.SumoTrafficLightType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SumoTrafficLightType>`

      public enum SumoTrafficLightType
      extends Enum<SumoTrafficLightType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTUATED` |
    `DELAYBASED` |
    `HILVL_DETERMINISTIC` |
    `INVALID` |
    `OFF` |
    `RAIL_CROSSING` |
    `RAIL_SIGNAL` |
    `SOTL_MARCHING` |
    `SOTL_PHASE` |
    `SOTL_PLATOON` |
    `SOTL_REQUEST` |
    `SOTL_WAVE` |
    `STATIC` |
    `SWARM_BASED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIndex()` |
    `static SumoTrafficLightType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SumoTrafficLightType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC

          public static final SumoTrafficLightType STATIC

    - #### RAIL_SIGNAL

          public static final SumoTrafficLightType RAIL_SIGNAL

    - #### RAIL_CROSSING

          public static final SumoTrafficLightType RAIL_CROSSING

    - #### ACTUATED

          public static final SumoTrafficLightType ACTUATED

    - #### DELAYBASED

          public static final SumoTrafficLightType DELAYBASED

    - #### SOTL_PHASE

          public static final SumoTrafficLightType SOTL_PHASE

    - #### SOTL_PLATOON

          public static final SumoTrafficLightType SOTL_PLATOON

    - #### SOTL_REQUEST

          public static final SumoTrafficLightType SOTL_REQUEST

    - #### SOTL_WAVE

          public static final SumoTrafficLightType SOTL_WAVE

    - #### SOTL_MARCHING

          public static final SumoTrafficLightType SOTL_MARCHING

    - #### SWARM_BASED

          public static final SumoTrafficLightType SWARM_BASED

    - #### HILVL_DETERMINISTIC

          public static final SumoTrafficLightType HILVL_DETERMINISTIC

    - #### OFF

          public static final SumoTrafficLightType OFF

    - #### INVALID

          public static final SumoTrafficLightType INVALID

  - ### Method Detail

    - #### values

          public static SumoTrafficLightType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SumoTrafficLightType c : SumoTrafficLightType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SumoTrafficLightType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getIndex

          public int getIndex()